Name: partimage
Version: 0.6.3
Release: alt1.1.1

Summary: Partition Image is a Linux/UNIX partition imaging utility
License: GPL
Group: System/Configuration/Hardware
URL: http://www.partimage.org/

Source0: %name-%version-1.tar.bz2
Source1: %name-gencert.sh
Source2: partimaged.init
Source3: partimaged.pam
Source4: partimaged.conf
Source5: %name.logrotate

# Automatically added by buildreq on Thu Feb 05 2004
BuildRequires: bzlib-devel gcc-c++ hostinfo libnewt-devel libpam-devel libslang-devel libssl-devel libstdc++-devel openssl zlib-devel

%package -n partimaged
Summary: Partition Image is a Linux/UNIX partition imaging utility daemon
Group: System/Configuration/Hardware

%description
Partition Image is a Linux/UNIX partition imaging utility: it saves all used
blocks in a partition to an image file. This image file can be compressed
using gzip or bzip2 compression to save space, and even split into multiple
files to be copied to movable media such as Zip disks or CD-R.

The following partition types are supported:

  - Ext2FS   (the Linux standard)
  - ReiserFS (a new, powerful journalling file system)
  - NTFS     (Windows NT File System)
  - FAT16/32 (DOS & Windows file systems)
  - HPFS     (OS/2 File System)
  - JFS      (IBM Jounalized File System for AIX)
  - XFS      (SGI Jounalized File System for IRIX)
  - HFS      (Hierarchical File System for MacOS)
  
This allows you to back up a full Linux/Windows system with a single
operation. When problems such as viruses, crashes, or other errors occur, you
just have to restore, and after several minutes your system can be restored
(boot record and all your files) and fully working.

This is also very useful when installing the same software on many machines:
just install one of them, create an image, and just restore the image on all
other machines. Then, after the first one, each machine installation can take
just minutes.

%description -n partimaged
This daemon (partimaged) is allow you client to work with images (f.e. Save or
Restore), that placed on remote PC or server.

%prep
%setup -n %name-%version-1

%build 
%configure --enable-pam
%make_build

%install 

# Installing config
%__install  -pD -m 400 %SOURCE4 $RPM_BUILD_ROOT/%_sysconfdir/partimaged/partimagedusers

# Installing pam
%__install  -pD -m 644 %SOURCE3 $RPM_BUILD_ROOT/%_sysconfdir/pam.d/partimaged

# Installing logs
%__install  -d -m 755 $RPM_BUILD_ROOT/%_logdir
touch $RPM_BUILD_ROOT/%_logdir/partimaged.log $RPM_BUILD_ROOT/%_logdir/partimage-debug.log
%__ln_s partimage-debug.log $RPM_BUILD_ROOT/%_logdir/partimage-debug.log_latest

# Installing logrotate
%__install  -pD -m 640 %SOURCE5 $RPM_BUILD_ROOT/%_sysconfdir/logrotate.d/partimage

%__install  -d -m 700 $RPM_BUILD_ROOT/%_spooldir/partimaged

# Installing binaries
%__install -pD -m 755 %SOURCE1 $RPM_BUILD_ROOT/%_spooldir/partimaged/gencert.sh
%__install -pD -m 755 %SOURCE2 $RPM_BUILD_ROOT/%_initdir/partimaged
%__install -pD -m 755 src/client/partimage $RPM_BUILD_ROOT/%_sbindir/%name
%__install -pD -m 755 src/server/partimaged $RPM_BUILD_ROOT/%_sbindir/partimaged

#Installing locale support
for f in `cd po; echo *.gmo`; do
    %__install -D -m 644 po/$f $RPM_BUILD_ROOT%_datadir/locale/${f%.gmo}/LC_MESSAGES/%name.mo
done

%find_lang %name

%pre -n partimaged
/usr/sbin/useradd -r -g root -d %_spooldir/partimaged -s /dev/null partimag >/dev/null 2>&1 ||:

%post -n partimaged
%_initdir/partimaged init >/dev/null 2>&1 ||:
/sbin/chkconfig --add partimaged ||:

%preun -n partimaged
/sbin/chkconfig --del partimaged ||:

%postun -n partimaged
/usr/sbin/userdel partimag >/dev/null 2>&1 ||:

%files -f %name.lang
%doc AUTHORS COPYING ChangeLog INSTALL BOOT-ROOT-creation.txt BUGS FORMAT FUTURE README SURVEY TESTS THANKS TODO
%_sbindir/%name
%attr(640,root,root) %_logdir/partimage-debug.log
%_logdir/partimage-debug.log_latest

%files -n partimaged
%doc README.partimaged
%attr(500,root,root) %dir %_sysconfdir/partimaged
%attr(700,root,root) %dir %_spooldir/partimaged/
%attr(400,root,root) %config(noreplace) %_sysconfdir/partimaged/partimagedusers
%attr(444,root,root) %config(noreplace) %_sysconfdir/pam.d/partimaged
%attr(500,root,root) %_spooldir/partimaged/gencert.sh
%attr(755,root,root) %_initdir/partimaged
%attr(640,root,root) %_logdir/partimaged.log
%_sysconfdir/logrotate.d/partimage
%_sbindir/partimaged

%changelog
* Tue Jan 18 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.6.3-alt1.1.1
- Rebuilt with libstdc++.so.6.

* Mon May 10 2004 ALT QA Team Robot <qa-robot@altlinux.org> 0.6.3-alt1.1
- Rebuilt with openssl-0.9.7d.

* Thu Feb 05 2004 Alexander Belov <asbel@altlinux.ru> 0.6.3-alt1
- 0.6.3-1 version

* Wed Jan 21 2004 Alexander Belov <asbel@altlinux.ru> 0.6.2-alt1
- Initial release
